#
#   uninstall.sh
#   Uninstaller for csndshell
#
#   -------------------------------------------------------------------------
#   Revision history:
#   -------------------------------------------------------------------------
#   09-02-2009
#   A. Steffens Jr -- New file.
#   -------------------------------------------------------------------------
#
#   Requirements:
#
#   We expect to be running this file as the ROOT user from within
#   the path where the csndshell.sh file is located.
#

#
#   Find the path of the current directory
#
version_number=1.0.1
PATH_TO_CSNDSHELL=$(pwd)
echo PATH_TO_CSNDSHELL=$PATH_TO_CSNDSHELL

#
#   Get the current date string
#
date_string=$(date --rfc-3339='seconds')
fix_date=$(echo $date_string | awk \
          '{split($0,ary); str=sprintf("%s_%s",ary[1],ary[2]);\
           print str}' \
         )

#
#   Edit the global BASH profile to delete the PATH_TO_CSNDSHELL
#   environment variable
#
if [ -f /etc/profile ]; then
    #
    #   Backup the shell init file
    #
    cp /etc/profile /etc/profile_$fix_date
    cp /etc/profile ./profile_$fix_date
    #
    #   Execute an AWK script for clearing the PATH_TO_CSNDSHELL variable
    #
    cat /etc/profile | awk \
        'BEGIN {}\
        $1 ~ /export/  && $2 ~ /PATH_TO_CSNDSHELL=*/ { next }\
        $1 ~ /export/  && $2 ~ /RUN_CSND=*/ { next }\
        $1 ~ /export/  && $2 ~ /RECORD=*/ { next }\
        $1 ~ /export/  && $2 ~ /RECORD_S=*/ { next }\
        $1 ~ /export/  && $2 ~ /MIX=*/ { next }\
        { print $0 }\
        END {}'\
     > /etc/tmp_profile
    #
    #   clean up
    #
    mv /etc/tmp_profile /etc/profile
else
    echo --------------------------------------------------------------------
    echo ERROR:
    echo Your system does not have /etc/profile, which means you may not be
    echo using the bash shell.  You will need to follow the Manual
    echo Uninstallation instructions.  See the documentation for your logon
    echo shell for the locations of its initialization files.
    echo --------------------------------------------------------------------
    exit 1;
fi
echo Success updating /etc/profile


echo Uninstallation complete.

